﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
using System.Collections;

namespace Time_Pilot.FlyingObjects
{
    class Banana : FinalPlane
    {
        Rectangle[] bananas = {new Rectangle(4 * 38, 342 - 76, 76, 76),new Rectangle(6 * 38, 342 - 76, 76, 76)
            ,new Rectangle(8*38,342-76,76,76),new Rectangle(10*38,342-76,76,76)};
        int flag = 0;
        int cpt = 3;


        public Banana(int d, Point p, TimePilotScreen s)
            : base(d, p, s)
        {
        }

        public override void Draw(SpriteBatch theSpriteBatch, Texture2D texture)
        {
            if (flag == 0)
            {
                if (getDirection() == 0)
                    theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bananas[0], Color.White);
                else
                    theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bananas[1], Color.White);
                if (cpt == 0)
                {
                    flag = 1;
                    cpt = 3;
                }
                else cpt--;
            }
            else if (flag == 1)
            {
                if (getDirection() == 0)
                    theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bananas[2], Color.White);
                else
                    theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bananas[3], Color.White);
                if (cpt == 0)
                {
                    flag = 0;
                    cpt = 3;
                }
                else cpt--;
            }            
        }

        public override void fire()
        {

            if ((bullet == null) || ((bullet.posX() < 0 || bullet.posX() > 527)
     || (bullet.posY() < 0 || bullet.posY() > 428)))
            {
                int dir = (int)((new Random().NextDouble() * 1000) % 360);
                bullet = new EnnemyBullet(this, dir, screen.timepilot, 30, 25, 7);
                screen.bullets.Add(bullet);
            }

        }

    }
}
