﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Time_Pilot.FlyingObjects
{
    class Explosion : FlyingObject
    {
        public int timeToLive = 7;
        Rectangle[] spritesCoordFO = new Rectangle[3];
        Rectangle[] spritesCoordTP = new Rectangle[3];
        private String type;


        public Explosion(Point p, String t)
            : base(0, 0, p)
        {           
            for (int i = 0; i < 3; i++)
            {
                spritesCoordFO[i] = new Rectangle(i * 38, 6 * 38, 38, 38);
            }
            for (int i = 0; i < 3; i++)
            {
                spritesCoordTP[i] = new Rectangle(i * 76, 5 * 38, 76, 38);
            }
            type = t;

        }

        public override void Draw(SpriteBatch theSpriteBatch, Texture2D texture)
        {
            if (type.Equals("a"))
                theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 38, 38), spritesCoordFO[timeToLive%3], Color.White);
            else
                theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 38), spritesCoordTP[timeToLive % 3], Color.White);
        }



        public override void step()
        {
            timeToLive--;
        }

    }
}
