﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace Time_Pilot.FlyingObjects
{
    class B52:FinalPlane
    {
        Rectangle bLeft = new Rectangle(8 * 38, 342, 76, 76);
        Rectangle bRight = new Rectangle(10 * 38, 342, 76, 76);

        public B52(int d, Point p, TimePilotScreen s)
            : base(d, p, s)
        {           
        }

        public override void Draw(SpriteBatch theSpriteBatch, Texture2D texture)
        {            
            if (getDirection() == 0)
                theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bLeft, Color.White);                            
            else
                theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, 76, 76), bRight, Color.White);                            
        }

        public override void fire()
        {

            if ((bullet == null) || ((bullet.posX() < 0 || bullet.posX() > 527)
            || (bullet.posY() < 0 || bullet.posY() > 428)))
            {
                int dir = (int)((new Random().NextDouble() * 1000) % 360);
                bullet = new EnnemyBullet(this, dir, screen.timepilot, 30, 25, 7);
                screen.bullets.Add(bullet);                
            }
        }

    }
}
