﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace Time_Pilot.FlyingObjects
{
    class Cloud : FlyingObject
    {
        Rectangle[] spritesCoord = new Rectangle[3];

        public Cloud(int s, int d, Point p)
            : base(s, d, p)
        {
            spritesCoord[2] = new Rectangle(0, 267, 38, 38);
            spritesCoord[1] = new Rectangle(0, 305, 75, 33);
            spritesCoord[0] = new Rectangle(0, 339, 136, 71);                
        }

        public override void step()
        {
            if (position.X < -140) position.X = 547;
            else if (position.X > 547) position.X = -136;
            else
                position.X += (int)(Math.Cos(base.rad(direction)) * (2 + speed));
            if (position.Y < -80) position.Y = 448;
            else if (position.Y > 448) position.Y = -71;
            else
                position.Y += (int)(Math.Sin(base.rad(direction)) * (2 + speed));            
        }

        public override void Draw(SpriteBatch theSpriteBatch, Texture2D texture)
        {
            theSpriteBatch.Draw(texture, new Rectangle(posX() - 38, posY() - 38, spritesCoord[speed - 1].Width, spritesCoord[speed - 1].Height), spritesCoord[speed - 1], Color.White);
        }

    }
}
