﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Time_Pilot.FlyingObjects
{
    class TPBullet : FlyingObject
    {

        public TPBullet(TimePilot tp):base(8, tp.getDirection(),
              new Point((int)(244 + 10 * Math.Cos(tp.getDirection() * Math.PI / 180)),
              (int)(195 + 10 * Math.Sin(tp.getDirection() * Math.PI / 180)))){
        }



        public TPBullet(TimePilot tp, int dist):base(8, tp.getDirection(),
              new Point((int)(244 + dist * Math.Cos(tp.getDirection() * Math.PI / 180)),
              (int)(195 + dist * Math.Sin(tp.getDirection() * Math.PI / 180)))){
        }
        

    }
}
